Page MenuHomePhabricator

WikiEditor tries to load 26 messages that don't exist (wikieditor-toolbar-characters, wikieditor-toolbar-help-content, ..)
Closed, ResolvedPublic

Description

Latest master of WikiEditor with latest master of MediaWiki throws these warnings consistently.

It appears these keys are listed in the extension.json file of WikiEditor as part of the jquery.wikiEditor.toolbar.i18n module. But no such messages actually exist in the i18n system.

MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-emdash' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-endash' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-minus' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-arabic' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-arabicextended' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-bangla' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-cyrillic' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-devanagari' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-greek' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-gujarati' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-hebrew' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-ipa' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-khmer' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-lao' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-latin' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-latinextended' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-persian' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-sinhala' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-symbols' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-tamil' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-telugu' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-characters-page-thai' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-help-content-heading1-description' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-help-content-heading1-result' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-help-content-heading1-syntax' (en)
MessageBlobStore::fetchMessage failed to find: 'wikieditor-toolbar-tool-file-pre' (en)

Event Timeline

Krinkle created this task.Nov 13 2015, 1:32 AM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Needs Triage.
Krinkle added a subscriber: Krinkle.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 13 2015, 1:32 AM

Change 252888 had a related patch set uploaded (by Jforrester):
extension.json: Remove calls to non-existent wikieditor-toolbar-characters-*

https://gerrit.wikimedia.org/r/252888

Change 252889 had a related patch set uploaded (by Jforrester):
extension.json: Remove calls to non-existent wikieditor-toolbar-help-content-heading1-*

https://gerrit.wikimedia.org/r/252889

Change 252888 merged by jenkins-bot:
extension.json: Remove calls to non-existent wikieditor-toolbar-characters-*

https://gerrit.wikimedia.org/r/252888

Change 252889 merged by jenkins-bot:
extension.json: Remove calls to non-existent wikieditor-toolbar-help-content-heading1-*

https://gerrit.wikimedia.org/r/252889

Paladox closed this task as Resolved.Nov 21 2015, 7:44 PM
Paladox claimed this task.
Paladox added a subscriber: Paladox.

Closing as resolved since looking through the extension.json file all that is described in this patch has been removed. Please reopen if there is still more errors about this.

Paladox reassigned this task from Paladox to Krinkle.Nov 21 2015, 7:44 PM
Paladox removed a project: Patch-For-Review.
Paladox set Security to None.
Paladox removed a subscriber: gerritbot.
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:00 AM